# Assembly Park
`assembly_park` = *"A nasty experiment conducted by
@matteosavatteri not to amuse with dinosaurs, but with
x86_64 Linux assembly"*

# Why This?
To learn something new.

# Tree
.
├── 1_false/
│   ├── Makefile
│   ├── README
│   └── src/
│       └── false.s
├── 2_pwd/
│   ├── Makefile
│   ├── README
│   └── src/
│       └── pwd.s
├── 3_argc/
│   ├── Makefile
│   ├── README
│   └── src/
│       └── argc.s
└── README

# How do I Use This?
## Assemble and Link
To assemble and link these programs you need the GNU
assembler `as` and the gold linker `ld`.
To automate the process you need GNU `make`.
You can find `as` and `ld` in the
[GNU `binutils` collection](https://www.gnu.org/software/binutils/)
(If you run GNU/Linux, you have these installed, i think...).
You can find `make` in the [`make` package](https://www.gnu.org/software/make/).

### `make` How To
* To assemble and link a program enter the corresponding subdirectory and run `make`
* To clean objects run `make clean`.
* To clean binaries too run `make clean-all`

## Run
`assembly_park` programs aren't linked against shared libraries.
To run them you only need a `x86_64` computer running the `Linux` kernel.

# Documentation
Read `README` files and comments in code.

Let me know if you encounter some problems.

Enjoy :)

@matteosavatteri
